Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.plugins.sonar.model
[Groovy] Class SonarServer

    java.lang.Object
      org.gradle.api.plugins.sonar.model.SonarServer

    class SonarServer

Configuration options for the Sonar web server. Defaults match the defaults for a locally running server.

Property Summary
`String` | `url` The URL for the Sonar web server.

Method Summary

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### url

    @SonarProperty("sonar.host.url")
    String url

  The URL for the Sonar web server. Defaults to `http://localhost:9000`.

Gradle API 1.10